Summary: Image display, conversion, and manipulation under X
Name: ImageMagick
Version: 4.2.9
Release: 1
Group: X11/Applications/Graphics
Copyright: Freeware
Url: http://www.wizards.dupont.com/cristy/ImageMagick.html
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.wizards.dupont.com/pub/ImageMagick/%{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
ImageMagick is an image display, conversion, and manipulation tool.
It runs under X windows.  It is very powerful in terms of it's 
ability to allow the user to edit images.  It can handle many 
different formats as well.


%package devel
Summary: static libraries and header files for ImageMagick development
Group: X11/Libraries
Requires: %{name} = %{version}

%description devel
This is the ImageMagick development package.  It includes the static
libraries and header files for use in developing your own applications
that make use of the ImageMagick code and/or APIs.


%prep
%setup -q


%build
NCPU=`egrep -c ^processor /proc/cpuinfo`
export MAKE="make -j$NCPU"
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --enable-shared --enable-lzw --with-perl=no
$MAKE


%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*
ln -s ImageMagick.html index.html


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc *.txt index.html ImageMagick.html www images
/usr/bin/*
/usr/lib/libMagick.so.*
/usr/man/man*/*
/usr/share/ImageMagick

%files devel
%defattr(-,root,root)
/usr/include/magick
/usr/lib/libMagick.a
/usr/lib/libMagick.la
/usr/lib/libMagick.so


%clean
rm -rf $RPM_BUILD_ROOT
